Arch PipeConnector: Difference between revisions

From FreeCAD Documentation
No edit summary
(Marked this version for translation)
 
(6 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
<translate>
<translate>

<!--T:13-->
<!--T:13-->
{{Docnav
{{Docnav
|[[Arch_Pipe|Pipe]]
|[[Arch_Pipe|Pipe]]
|[[Arch_CutPlane|CutPlane]]
|[[Arch_CompSetMaterial|ompSetMaterial]]
|[[Arch_Module|Arch]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_Pipe.svg
|IconL=Arch_Pipe.svg
|IconR=Arch_CutPlane.png
|IconC=Workbench_Arch.svg
|IconC=Workbench_Arch.svg
|IconR=Arch_CompSetMaterial.png
}}
}}


Line 15: Line 16:
|Name=Arch PipeConnector
|Name=Arch PipeConnector
|MenuLocation=Arch → Pipe Tools → Pipe Connector
|MenuLocation=Arch → Pipe Tools → Pipe Connector
|Workbenches=[[Arch_Module|Arch]]
|Workbenches=[[Arch_Workbench|Arch]]
|Shortcut={{KEY|P}} {{KEY|C}}
|Shortcut={{KEY|P}} {{KEY|C}}
|SeeAlso=[[Arch_Pipe|Arch Pipe]], [[Arch_Equipment|Arch Equipment]]
|Version=0.17
|Version=0.17
|SeeAlso=[[Arch_Pipe|Arch Pipe]], [[Arch_Equipment|Arch Equipment]]
}}
}}


Line 24: Line 25:


<!--T:3-->
<!--T:3-->
This tool allows to create corner or tee connection between two or three selected [[Arch Pipe|Arch Pipes]].
This tool allows to create corner or tee connection between two or three selected [[Arch_Pipe|Arch Pipes]].


==Usage== <!--T:4-->
==Usage== <!--T:4-->


<!--T:5-->
<!--T:5-->
# Select 2 or 3 [[Arch Pipe|Arch Pipes]]. If you are selecting 3 pipes, two of them must be exactly aligned.
# Select 2 or 3 [[Arch_Pipe|Arch Pipes]]. If you are selecting 3 pipes, two of them must be exactly aligned.
# Press the {{Button|[[Image:Arch PipeConnector.svg|16px]] [[Arch_PipeConnector|Arch PipeConnector]]}} button, or press {{KEY|P}} then {{KEY|C}} keys.
# Press the {{Button|[[Image:Arch PipeConnector.svg|16px]] [[Arch_PipeConnector|Arch PipeConnector]]}} button, or press {{KEY|P}} then {{KEY|C}} keys.


Line 40: Line 41:


<!--T:9-->
<!--T:9-->
See the information on [[Arch Pipe]] for the workflow on using pipes and creating connectors.
See the information on [[Arch_Pipe|Arch Pipe]] for the workflow on using pipes and creating connectors.


== Scripting == <!--T:10-->
== Scripting == <!--T:19-->

{{Emphasis|See also:}} [[Arch API]] and [[FreeCAD Scripting Basics]].
<!--T:10-->
{{Emphasis|See also:}} [[Arch_API|Arch API]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].


<!--T:11-->
<!--T:11-->
The Pipe Connector tool can be used in [[macros]] and from the [[Python]] console by using the following function:
The Pipe Connector tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following function:
</translate>
</translate>
{{Code|code=
{{Code|code=
Line 54: Line 57:


<!--T:14-->
<!--T:14-->
* Creates a {{incode|Connector}} object from the given {{incode|pipes}}, which is a list of [[Arch Pipe]]s, and optionally a {{incode|radius}} of curvature.
* Creates a {{incode|Connector}} object from the given {{incode|pipes}}, which is a list of [[Arch_Pipe|Arch Pipes]], and optionally a {{incode|radius}} of curvature.
** The base objects ([[Draft Wire]]s) of the [[Arch Pipe]]s should share an endpoint so they create a proper, smooth connector.
** The base objects ([[Draft_Wire|Draft Wires]]) of the [[Arch_Pipe|Arch Pipes]] should share an endpoint so they create a proper, smooth connector.


<!--T:15-->
<!--T:15-->
Line 97: Line 100:
{{Docnav
{{Docnav
|[[Arch_Pipe|Pipe]]
|[[Arch_Pipe|Pipe]]
|[[Arch_CutPlane|CutPlane]]
|[[Arch_CompSetMaterial|ompSetMaterial]]
|[[Arch_Module|Arch]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_Pipe.svg
|IconL=Arch_Pipe.svg
|IconR=Arch_CutPlane.png
|IconC=Workbench_Arch.svg
|IconC=Workbench_Arch.svg
|IconR=Arch_CompSetMaterial.png
}}
}}


</translate>
</translate>
{{Arch Tools navi{{#translation:}}}}
{{Arch Tools navi{{#translation:}}}}

{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 18:13, 10 March 2022

Arch PipeConnector

Menu location
Arch → Pipe Tools → Pipe Connector
Workbenches
Arch
Default shortcut
P C
Introduced in version
0.17
See also
Arch Pipe, Arch Equipment

Description

This tool allows to create corner or tee connection between two or three selected Arch Pipes.

Usage

  1. Select 2 or 3 Arch Pipes. If you are selecting 3 pipes, two of them must be exactly aligned.
  2. Press the Arch PipeConnector button, or press P then C keys.

Properties

  • DataRadius: The curvature radius of this connector

Typical workflow

See the information on Arch Pipe for the workflow on using pipes and creating connectors.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The Pipe Connector tool can be used in macros and from the Python console by using the following function:

Connector = makePipeConnector(pipes, radius=0, name="Connector")
  • Creates a Connector object from the given pipes, which is a list of Arch Pipes, and optionally a radius of curvature.
    • The base objects (Draft Wires) of the Arch Pipes should share an endpoint so they create a proper, smooth connector.

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(-1000, 0, 0)
p2 = FreeCAD.Vector(-2000, 0, 0)
p3 = FreeCAD.Vector(-2000, 0, 0)
p4 = FreeCAD.Vector(-2000, -1000, 0)
p5 = FreeCAD.Vector(-2000, -1000, 0)
p6 = FreeCAD.Vector(-4000, -1000, 0)
Line1 = Draft.makeWire([p1, p2])
Line2 = Draft.makeWire([p3, p4])
Line3 = Draft.makeWire([p5, p6])

Pipe1 = Arch.makePipe(Line1, 150)
Pipe2 = Arch.makePipe(Line2, 150)
Pipe3 = Arch.makePipe(Line3, 150)
FreeCAD.ActiveDocument.recompute()

Conn = Arch.makePipeConnector([Pipe1, Pipe2])
Conn2 = Arch.makePipeConnector([Pipe2, Pipe3])
FreeCAD.ActiveDocument.recompute()

Line4 = Draft.move(Line1, FreeCAD.Vector(-500, 1000, 0), copy=True)
Line5 = Draft.move(Line2, FreeCAD.Vector(-500, 1000, 0), copy=True)
Pipe4 = Arch.makePipe(Line4, 100)
Pipe5 = Arch.makePipe(Line5, 100)
FreeCAD.ActiveDocument.recompute()

Conn3 = Arch.makePipeConnector([Pipe4, Pipe5], radius=400)
FreeCAD.ActiveDocument.recompute()